Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## jet.server.api
Interface SecurityWebAdaptor

    public interface SecurityWebAdaptor

This class is created for control the seucrity setting UI in the server 8889/security when the customer implement the new security API. The customer maybe only implement get methods and not implement the set meothod in the new security API. This class can control the security UI's display whent the customer only implement part of the new security API.

Since:
  server V8

Field Summary
`static int` | `ACTION_ADD_GROUP` The add group action.
`static int` | `ACTION_ADD_ROLE` The add role action.
`static int` | `ACTION_ADD_USER` The add user action.
`static int` | `ACTION_CHANGE_PASSWORD` The change password's action.
`static int` | `ACTION_EDIT_GROUP_PERMISSIONS` The edit group permission action.
`static int` | `ACTION_EDIT_GROUP_PRIVILEGES` The edit group privileges action.
`static int` | `ACTION_EDIT_GROUP_PROPERTIES` The edit group properties action.
`static int` | `ACTION_EDIT_RELATION_GROUP_SUBGROUP` The edit group-subGroup relation action.
`static int` | `ACTION_EDIT_RELATION_GROUP_USER` The edit group-user relation action.
`static int` | `ACTION_EDIT_RELATION_ROLE_GROUP` The edit role-group relation action.
`static int` | `ACTION_EDIT_RELATION_ROLE_SUBROLE` The edit role-subRole relation action.
`static int` | `ACTION_EDIT_RELATION_ROLE_USER` The edit role-user relation action.
`static int` | `ACTION_EDIT_ROLE_PERMISSIONS` The edit role permission action.
`static int` | `ACTION_EDIT_ROLE_PRIVILEGES` The edit role privileges action.
`static int` | `ACTION_EDIT_ROLE_PROPERTIES` The edit role properties action.
`static int` | `ACTION_EDIT_USER_AUDIT` The edit user audit action.
`static int` | `ACTION_EDIT_USER_PERMISSIONS` The edit user permission action.
`static int` | `ACTION_EDIT_USER_PRIVILEGES` The edit user privileges action.
`static int` | `ACTION_EDIT_USER_PROPERTIES` The edit user properties action.
`static int` | `ACTION_REMOVE_GROUP` The remove group action.
`static int` | `ACTION_REMOVE_ROLE` The remove role action.
`static int` | `ACTION_REMOVE_USER` The remove user action.

Method Summary
`boolean` | `isEditing(int action)` Check the action can be edited or not

Field Detail

### ACTION_CHANGE_PASSWORD

    static final int ACTION_CHANGE_PASSWORD

  The change password's action. This action will be done in the web UI: 8888/preference/change passsword and 8889/security/user/change password

### ACTION_EDIT_USER_PROPERTIES

    static final int ACTION_EDIT_USER_PROPERTIES

  The edit user properties action. This action will be done in the web UI: 8889/security/user

### ACTION_EDIT_USER_AUDIT

    static final int ACTION_EDIT_USER_AUDIT

  The edit user audit action. This action will be done in the web UI: 8889/security/user

### ACTION_REMOVE_USER

    static final int ACTION_REMOVE_USER

  The remove user action. This action will be done in the web UI: 8889/security/user/delete

### ACTION_ADD_USER

    static final int ACTION_ADD_USER

  The add user action. This action will be done in the web UI: 8889/security/user/create a new user

### ACTION_EDIT_ROLE_PROPERTIES

    static final int ACTION_EDIT_ROLE_PROPERTIES

  The edit role properties action. This action will be done in the web UI: 8889/security/role

### ACTION_REMOVE_ROLE

    static final int ACTION_REMOVE_ROLE

  The remove role action. This action will be done in the web UI: 8889/security/role/delete

### ACTION_ADD_ROLE

    static final int ACTION_ADD_ROLE

  The add role action. This action will be done in the web UI: 8889/security/role/craete a new role

### ACTION_EDIT_GROUP_PROPERTIES

    static final int ACTION_EDIT_GROUP_PROPERTIES

  The edit group properties action. This action will be done in the web UI: 8889/security/group

### ACTION_REMOVE_GROUP

    static final int ACTION_REMOVE_GROUP

  The remove group action. This action will be done in the web UI: 8889/security/group/delete

### ACTION_ADD_GROUP

    static final int ACTION_ADD_GROUP

  The add group action. This action will be done in the web UI: 8889/security/group/create a new group

### ACTION_EDIT_USER_PERMISSIONS

    static final int ACTION_EDIT_USER_PERMISSIONS

  The edit user permission action. This action will be done in the web UI: 8889/%Resourec Node%/properties/set permissions and 8888/%Resourec Node%/properties/set permissions

### ACTION_EDIT_ROLE_PERMISSIONS

    static final int ACTION_EDIT_ROLE_PERMISSIONS

  The edit role permission action. This action will be done in the web UI: 8889/%Resourec Node%/properties/set permissions and 8888/%Resourec Node%/properties/set permissions

### ACTION_EDIT_GROUP_PERMISSIONS

    static final int ACTION_EDIT_GROUP_PERMISSIONS

  The edit group permission action. This action will be done in the web UI: 8889/%Resourec Node%/properties/set permissions and 8888/%Resourec Node%/properties/set permissions

### ACTION_EDIT_USER_PRIVILEGES

    static final int ACTION_EDIT_USER_PRIVILEGES

  The edit user privileges action. This action will be done in the web UI: 8889/security/user and 8889/security/privileges

### ACTION_EDIT_ROLE_PRIVILEGES

    static final int ACTION_EDIT_ROLE_PRIVILEGES

  The edit role privileges action. This action will be done in the web UI: 8889/security/role and 8889/security/privileges

### ACTION_EDIT_GROUP_PRIVILEGES

    static final int ACTION_EDIT_GROUP_PRIVILEGES

  The edit group privileges action. This action will be done in the web UI: 8889/security/group and 8889/security/privileges

### ACTION_EDIT_RELATION_ROLE_USER

    static final int ACTION_EDIT_RELATION_ROLE_USER

  The edit role-user relation action. This action will be done in the web UI: 8889/security/role/Members and 8889/security/user/Edit Roles

### ACTION_EDIT_RELATION_ROLE_GROUP

    static final int ACTION_EDIT_RELATION_ROLE_GROUP

  The edit role-group relation action. This action will be done in the web UI: 8889/security/role/Members and 8889/security/user/Edit Roles

### ACTION_EDIT_RELATION_GROUP_USER

    static final int ACTION_EDIT_RELATION_GROUP_USER

  The edit group-user relation action. This action will be done in the web UI: 8889/security/group/Members and 8889/security/user/Edit Groups

### ACTION_EDIT_RELATION_GROUP_SUBGROUP

    static final int ACTION_EDIT_RELATION_GROUP_SUBGROUP

  The edit group-subGroup relation action. This action will be done in the web UI: 8889/security/group/Members

### ACTION_EDIT_RELATION_ROLE_SUBROLE

    static final int ACTION_EDIT_RELATION_ROLE_SUBROLE

  The edit role-subRole relation action. This action will be done in the web UI: 8889/security/role/Members

Method Detail

### isEditing

    boolean isEditing(int action)

  Check the action can be edited or not

  Parameters:
    `action` - the action's type. For example: ACTION_EDIT_RELATION_ROLE_SUBROLE
  Returns:
    if can edit return true, otherwies return false.

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD